Skip to main content
GET
Get Effective Session Policy

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

user_id
string
required

The user whose effective session policy to resolve.

Response

200 - application/json

SessionPolicyServiceGetEffectiveSessionPolicyResponse carries the effective policy and why it applies.

SessionPolicyServiceGetEffectiveSessionPolicyResponse carries the effective policy and why it applies.

group
App Entitlement · object | null

The app entitlement represents one permission in a downstream App (SAAS) that can be granted. For example, GitHub Read vs GitHub Write.

This message contains a oneof named max_grant_duration. Only a single field of the following list may be set at a time:

  • durationUnset
  • durationGrant
sessionPolicy
Session Policy · object | null

SessionPolicy defines session lifetime and continuous-evaluation behavior.

source
enum<string>

Why the policy applies.

Available options:
EFFECTIVE_SESSION_POLICY_SOURCE_UNSPECIFIED,
EFFECTIVE_SESSION_POLICY_SOURCE_DIRECT,
EFFECTIVE_SESSION_POLICY_SOURCE_GROUP,
EFFECTIVE_SESSION_POLICY_SOURCE_TENANT_DEFAULT,
EFFECTIVE_SESSION_POLICY_SOURCE_TENANT_DEFAULT_NONE